java.io

## Class InvalidClassException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.ObjectStreamException
        - - java.io.InvalidClassException

All Implemented Interfaces:
  Serializable

    public class InvalidClassException
    extends ObjectStreamException

Thrown when the Serialization runtime detects one of the following problems with a Class.

- The serial version of the class does not match that of the class descriptor read from the stream
- The class contains unknown datatypes
- The class does not have an accessible no-arg constructor

Since:
  JDK1.1
See Also:
  Serialized Form

### Field Summary

Fields
`String` `classname` Name of the invalid class.

### Constructor Summary

Constructors
Constructor and Description
`InvalidClassException(String reason)` Report an InvalidClassException for the reason specified.
`InvalidClassException(String cname, String reason)` Constructs an InvalidClassException object.

### Method Summary

Methods
`String` `getMessage()` Produce the message and include the classname, if present.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### classname

    public String classname

Name of the invalid class.

### Constructor Detail

#### InvalidClassException

    public InvalidClassException(String reason)

Report an InvalidClassException for the reason specified.

Parameters:
  `reason` - String describing the reason for the exception.

#### InvalidClassException

    public InvalidClassException(String cname,
                         String reason)

Constructs an InvalidClassException object.

Parameters:
  `cname` - a String naming the invalid class.
  `reason` - a String describing the reason for the exception.

### Method Detail

#### getMessage

    public String getMessage()

Produce the message and include the classname, if present.

Overrides:
  `getMessage` in class `Throwable`
Returns:
  the detail message string of this `Throwable` instance (which may be `null`).

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.